summaryrefslogtreecommitdiffstats
path: root/linux
diff options
context:
space:
mode:
authorpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 23:11:36 +0000
committerpascal <pascal@b9310e46-f624-0410-8ea1-cfbb3a30dc96>2009-01-04 23:11:36 +0000
commitb3d9c3589fe8c8f0c64282cc3a9957a8996bc508 (patch)
tree7563408c3f734eaf58a5ac4ba2d52cbe42535fb9 /linux
parent98c3da6758d97eb87bc78b38b18783d0a35037d5 (diff)
kein Abbruch bei numlockx und xset nötig
git-svn-id: https://svn.neo-layout.org@1370 b9310e46-f624-0410-8ea1-cfbb3a30dc96
Diffstat (limited to 'linux')
-rwxr-xr-xlinux/bin/uiae12
1 files changed, 6 insertions, 6 deletions
diff --git a/linux/bin/uiae b/linux/bin/uiae
index 9239b81..c04f974 100755
--- a/linux/bin/uiae
+++ b/linux/bin/uiae
@@ -83,23 +83,23 @@ if [ -z ${DISPLAY} ]; then
if [ -e "${PATH_SETLEDS}" ]; then
if [ "${NUM_LOCK_STATUS}" = "on" ]; then
- "${PATH_SETLEDS}" -num || die "Failed to set num lock status to on."
+ "${PATH_SETLEDS}" -num || echo "Failed to set num lock status to on." >&2
else
- "${PATH_SETLEDS}" +num || die "Failed to set num lock status to off."
+ "${PATH_SETLEDS}" +num || echo "Failed to set num lock status to off." >&2
fi
else
- die "setleds does not exist, cannot set NUM status."
+ echo "setleds does not exist, cannot set NUM status." >&2
fi
else
if [ -e "${PATH_XSET}" ]; then
for modifier in 51 94; do
- "${PATH_XSET}" r ${modifier} || die "Failed to set repeat for modifier ${modifier}."
+ "${PATH_XSET}" r ${modifier} || echo "Failed to set repeat for modifier ${modifier}." >&2
done
for deadkey in 21 35 49; do
- "${PATH_XSET}" r ${deadkey} || die "Failed to set repeat for deadkey ${deakey}."
+ "${PATH_XSET}" r ${deadkey} || echo "Failed to set repeat for deadkey ${deakey}." >&2
done
else
- die "xset not found, cannot set modifiers and dead keys."
+ echo "xset not found, cannot set modifiers and dead keys." >&2
fi
case "${STD_X_VARIANTE}" in